X2Go Bug report logs - #1214
Don't use the whole session slot as input zone to start the session

version graph

Package: x2gothinclient; Maintainer for x2gothinclient is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2gothinclient is src:x2gothinclient.

Reported by: Walid MOGHRABI <w.moghrabi@servicemagic.eu>

Date: Sat, 23 Sep 2017 21:05:03 UTC

Severity: normal

Tags: pending

Found in version 4.1.1.0-0~1634~ubuntu16.04.1

Fixed in version 4.1.1.1

Done: X2Go Release Manager X2Go Release Manager <git-admin@x2go.org>

Bug is archived. No further changes may be made.

Full log


Message #14 received at control@bugs.x2go.org (full text, mbox, reply):

Received: (at control) by bugs.x2go.org; 25 Jan 2018 13:53:50 +0000
From x2go@ymir.das-netzwerkteam.de  Thu Jan 25 14:53:34 2018
X-Spam-Checker-Version: SpamAssassin 3.4.1 (2015-04-28) on
	ymir.das-netzwerkteam.de
X-Spam-Level: 
X-Spam-Status: No, score=-2.9 required=3.0 tests=ALL_TRUSTED,BAYES_00,
	URIBL_BLOCKED autolearn=unavailable autolearn_force=no version=3.4.1
Received: from localhost (localhost [127.0.0.1])
	by ymir.das-netzwerkteam.de (Postfix) with ESMTP id 09F155DAF7;
	Thu, 25 Jan 2018 14:53:33 +0100 (CET)
X-Virus-Scanned: Debian amavisd-new at ymir.das-netzwerkteam.de
Received: from ymir.das-netzwerkteam.de ([127.0.0.1])
	by localhost (ymir.das-netzwerkteam.de [127.0.0.1]) (amavisd-new, port 10024)
	with ESMTP id pMDE1nYBBb1p; Thu, 25 Jan 2018 14:53:21 +0100 (CET)
Received: by ymir.das-netzwerkteam.de (Postfix, from userid 1005)
	id 4361E5DAEB; Thu, 25 Jan 2018 14:53:21 +0100 (CET)
From: Mihai Moldovan <ionic@ionic.de>
To: 1214-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 1214@bugs.x2go.org
Subject: X2Go issue (in src:x2goclient) has been marked as pending for release
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: 8bit
X-Mailer: http://snipr.com/post-receive-tag-pending
Message-Id: <20180125135321.4361E5DAEB@ymir.das-netzwerkteam.de>
Date: Thu, 25 Jan 2018 14:53:21 +0100 (CET)
tag #1214 pending
fixed #1214 4.1.1.1
thanks

Hello,

X2Go issue #1214 (src:x2goclient) reported by you has been
fixed in X2Go Git. You can see the changelog below, and you can
check the diff of the fix at:

    http://code.x2go.org/gitweb?p=x2goclient.git;a=commitdiff;h=0da3f0a

The issue will most likely be fixed in src:x2goclient (4.1.1.1).

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
commit 0da3f0a0d2d1f9331c92f5bd68418852cf826761
Author: Mihai Moldovan <ionic@ionic.de>
Date:   Thu Jan 25 11:30:19 2018 +0100

    src/sessionbutton.cpp: make button non-sensitive in bottom right part if it's editable. Fixes: #1214.

diff --git a/debian/changelog b/debian/changelog
index aaf1979..9a04dbb 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -54,6 +54,8 @@ x2goclient (4.1.1.1-0x2go1) UNRELEASED; urgency=medium
       X2GO_XINERAMA in accordance with server changes.
     - src/onmainwindow.cpp: supply xinerama option as another parameter to
       x2goresume-session on session resume.
+    - src/sessionbutton.cpp: make button non-sensitive in bottom right part if
+      it's editable. Fixes: #1214.
 
   [ Oleksandr Shneyder ]
   * New upstream version (4.1.1.1):


Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Thu Aug 18 21:56:55 2022; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system

Debbugs is free software and licensed under the terms of the GNU Public License version 2. The current version can be obtained from https://bugs.debian.org/debbugs-source/.

Copyright © 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson, 2005-2017 Don Armstrong, and many other contributors.